## flog 1.8+orig

=== Makefile ===

VERSION = 1.8
DIST = flog-$(VERSION)
#DEBUG = -g
CFLAGS = -O2 $(DEBUG) -Wall -pedantic -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE=1
CC = gcc

flog: flog.c
	$(CC) $(CFLAGS) -o $@ $<
	strip $@

clean:
	rm -rf *.o flog $(DIST) $(DIST).tar.gz *~

dist: $(DIST).tar.gz

$(DIST): README Makefile flog.c
	mkdir $(DIST)
	tar c $^ | (cd $(DIST); tar x)

$(DIST).tar.gz: $(DIST)
	tar czf $@ $^
	rm -rf $(DIST)

## flog 1.8

=== debian/changelog ===
flog (1.8-3) unstable; urgency=low

  * Remove duplicate pid file fopen() and redundant pid struct member.
    By Carlos Carvalho. Closes: #601048.
  * Convert to 3.0 (quilt).

 -- Christoph Berg <myon@debian.org>  Sun, 31 Oct 2010 22:30:49 +0100

flog (1.8-2) unstable; urgency=low

  * Initial Debian upload.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Mar 2008 15:09:20 +0100

flog (1.8-1) unstable; urgency=low

  * Initial version.

 -- Christoph Berg <myon@debian.org>  Mon, 29 Oct 2007 16:33:36 +0100

=== debian/control ===
Source: flog
Maintainer: Christoph Berg <myon@debian.org>
Standards-Version: 3.9.1
Section: utils
Priority: extra
Build-Depends: debhelper (>> 7)
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/flog/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/flog/

Package: flog
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: dump STDIN to file and reopen on SIGHUP
 flog (file logger) reads input from STDIN and writes to a file. When a SIGHUP
 is received, the file will be reopened, allowing for log rotation.

=== debian/rules ===
#!/usr/bin/make -f

build-indep:
build build-arch: build-stamp
build-stamp:
	$(MAKE)
	touch $@

binary-indep:
binary binary-arch: build-stamp
	dh_testroot
	dh_testdir
	dh_prep
	dh_installdocs README
	dh_installchangelogs
	dh_install
	dh_installman flog.1
	dh_compress
	dh_strip
	dh_fixperms
	dh_shlibdeps
	dh_md5sums
	dh_installdeb
	dh_gencontrol
	dh_builddeb

clean:
	$(MAKE) clean
	dh_clean build-stamp

.PHONY: build build-indep build-arch binary binary-indep binary-arch clean

## flog 1.8+orig

=== debian/changelog ===
flog (1.8+orig-2) unstable; urgency=medium

  * Bump to dh 11.
  * Repository moved to salsa.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Sep 2018 21:52:17 +0200

flog (1.8+orig-1) unstable; urgency=low

  * Upstream has released a real 1.8 version, use that to base our patches on.
  * Add watch file.
  * Patches by Carlos Carvalho:
    + More pidfile cleanup
    + Use sigaction() instead of signal()
    + -F for reading from fifo
  * Modernize debian/rules to use dh(1).
  * Add simple testsuite.

 -- Christoph Berg <myon@debian.org>  Mon, 20 Nov 2017 18:48:02 +0100

=== debian/control ===
Source: flog
Maintainer: Christoph Berg <myon@debian.org>
Standards-Version: 4.2.0
Section: utils
Priority: optional
Build-Depends: debhelper (>> 11)
Vcs-Git: https://salsa.debian.org/debian/flog.git
Vcs-Browser: https://salsa.debian.org/debian/flog
Homepage: http://oss.ezic.com/

Package: flog
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: dump STDIN to file and reopen on SIGHUP
 flog (file logger) reads input from STDIN and writes to a file. When a SIGHUP
 is received, the file will be reopened, allowing for log rotation.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+orig// \
  http://oss.ezic.com/ flog/flog-(.*).tar.gz
